View Issue Details

IDProjectCategoryView StatusLast Update
0032878LazarusLCLpublic2017-12-30 12:37
ReporterfantangshanAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64, i386OSlinux, win32, win64OS Version
Product Version1.9 (SVN)Product Build 
Target Version1.8Fixed in Version1.9 (SVN) 
Summary0032878: A patch for supporting TCanvas.Draw a TBitmap in pf8bit TBitmap.PixelFormat on windows and gtk2
DescriptionTCanvas.Draw works wrong if set the TBitmap.PixelFormat := pf8bit.
So I creat a patch to solve this.

This may cause TCanvas.Draw pf8bit bitmap wrong on other platform. I hope this patch can give some clues to fix the problem of supporting gray image on other platforms.
TagsNo tags attached.
Fixed in Revision56872
LazTarget1.8
WidgetsetGTK 2
Attached Files

Relationships

related to 0011672 closedMarc Weustink Drawing on new bitmap under windows 32 bit doesn't work 
related to 0032876 resolvedJuha Manninen TBitmap gets wrong pixel format when loading a 8bit gray image. 
related to 0030509 resolvedJuha Manninen Wrong PixelFormat read by TBitmap. 
related to 0032901 new GTK2: Drawing of pf1bit PixelFormat bitmap to canvas fails 
related to 0032744 closedMichl TImage loads Grayscale JPEGs incorrectly 

Activities

fantangshan

2017-12-26 05:01

reporter  

Test_project_and_the_patch_for_lazarus_trunc.zip (278,974 bytes)

Michl

2017-12-29 21:25

developer   ~0105121

Applied. Thank you!

Issue History

Date Modified Username Field Change
2017-12-26 05:01 fantangshan New Issue
2017-12-26 05:01 fantangshan File Added: Test_project_and_the_patch_for_lazarus_trunc.zip
2017-12-26 13:23 Maxim Ganetsky Relationship added related to 0032876
2017-12-29 20:39 Michl Assigned To => Michl
2017-12-29 20:39 Michl Status new => assigned
2017-12-29 20:43 Michl Relationship added related to 0011672
2017-12-29 20:44 Michl Relationship added related to 0030509
2017-12-29 21:25 Michl Fixed in Revision => 56872
2017-12-29 21:25 Michl LazTarget => 1.8
2017-12-29 21:25 Michl Note Added: 0105121
2017-12-29 21:25 Michl Status assigned => resolved
2017-12-29 21:25 Michl Fixed in Version => 1.9 (SVN)
2017-12-29 21:25 Michl Resolution open => fixed
2017-12-29 21:25 Michl Target Version => 1.8
2017-12-29 21:40 Michl Relationship added related to 0032901
2017-12-30 12:37 Juha Manninen Relationship added related to 0032744